#!/bin/bash

PROG_NAME=$1

# DCD address must be cleared for signature, as mfgtool will clear it.
./mod_4_mfgtool.sh clear_dcd_addr ${PROG_NAME}

# generate the signatures, certificates, ... in the CSF binary
./linux64/cst --o ${PROG_NAME}-csf.bin < imx-mfgtool.cfg

# DCD address must be set for mfgtool to localize the DCD table.
./mod_4_mfgtool.sh set_dcd_addr ${PROG_NAME}

# padding
objcopy -I binary -O binary --pad-to 0x4000 --gap-fill=0x00 \
    ${PROG_NAME}-csf.bin ${PROG_NAME}-csf-padded.bin

# gather ${PROG_NAME} + its CSF
cat ${PROG_NAME} ${PROG_NAME}-csf-padded.bin > ${PROG_NAME}-signed
